classification
Title: Update Build projects to version 10.0.16299.0 of the Windows 10 SDK.
Type: Stage: resolved
Components: Build, Windows Versions: Python 3.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: Decorater, cheryl.sabella, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2017-12-14 20:25 by Decorater, last changed 2019-08-02 22:25 by steve.dower. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 4945 closed Decorater, 2017-12-20 17:30
Messages (6)
msg308333 - (view) Author: Decorater (Decorater) * Date: 2017-12-14 20:25
It seems that When I uninstalled an older version of the Windows 10 SDK to make more disk space to update Visual Studio that now python 3.6 will not compile. I am not sure if Python 3.7 on master currently has this issue or not though I still have not tested it on 3.7 either.

I am using Visual Studio 2017 to Compile the latest commit on branch 3.6. I could technically use branch master if the issue with Py_DecodeLocale() is fixed yet though.
msg308352 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-12-15 00:22
It has been resolved in master, so we just need to backport PCbuild/python.props to get it in earlier branches.
msg308754 - (view) Author: Decorater (Decorater) * Date: 2017-12-20 17:31
Alright made the backport PR on it. Not sure if it needs an news entry or if it is trivial though.
msg308764 - (view) Author: Decorater (Decorater) * Date: 2017-12-20 18:19
Oddly AppVeyor failed on VS2017 but build works on my end though.
msg308880 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-12-21 16:48
Apparently Tk has something in its e_capi.c file that does not work with the latest SDK (I guess they're redefining macros).

In master, we use prebuilt binaries, which is why this is not a problem. But we'll either need to fix Tk's sources or backport the code that uses the prebuilt binaries (just for Tcl and Tk - the OpenSSL part is not compatible) before we can merge this.

I'll try and take a look at it over the next few weeks. An a workaround, you should be able to "SET WindowsSDKVersion=10.0.16299.0" and pass "--no-tkinter" to build.bat to compile without the change.
msg332306 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2018-12-21 22:51
The PR was closed as not needed, so should this ticket also be closed?  Thanks!
History
Date User Action Args
2019-08-02 22:25:07steve.dowersetstatus: open -> closed
resolution: out of date
stage: patch review -> resolved
2018-12-21 22:51:45cheryl.sabellasetnosy: + cheryl.sabella
messages: + msg332306
2017-12-21 16:48:22steve.dowersetmessages: + msg308880
2017-12-20 18:19:46Decoratersetmessages: + msg308764
2017-12-20 17:31:25Decoratersetmessages: + msg308754
2017-12-20 17:30:17Decoratersetkeywords: + patch
stage: patch review
pull_requests: + pull_request4837
2017-12-15 00:22:26steve.dowersetmessages: + msg308352
2017-12-14 20:26:15Decoratersetnosy: + paul.moore, tim.golden, zach.ware, steve.dower
components: + Build, Windows
2017-12-14 20:25:55Decoratercreate